package com.qmth.distributed.print.business.bean.dto;

import com.qmth.distributed.print.business.bean.examRule.CodeNameEnableValue;
import com.qmth.distributed.print.business.bean.examRule.FieldsDto;
import com.qmth.teachcloud.common.annotation.ExcelDBFieldDesc;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * @Description: 考务数据导入Dto(对应 通用规则字段名称 同时作为考务数据表所需要的的字段,来接收excel导入的考务数据)
 * @Author: CaoZixuan
 * @Date: 2021-04-25
 */
public class ExaminationImportDto {

    @ApiModelProperty(value = "学号")
    @ExcelDBFieldDesc(name = "学号")
    private String studentCode;

    @ApiModelProperty(value = "考号")
    @ExcelDBFieldDesc(name = "考号")
    private String ticketNumber;

    @ApiModelProperty(value = "座位号")
    @ExcelDBFieldDesc(name = "座位号")
    private String siteNumber;

    @ApiModelProperty(value = "姓名")
    @ExcelDBFieldDesc(name = "姓名")
    private String studentName;

    @ApiModelProperty(value = "课程代码")
    @ExcelDBFieldDesc(name = "课程代码")
    private String courseCode;

    @ApiModelProperty(value = "课程名称")
    @ExcelDBFieldDesc(name = "课程名称")
    private String courseName;

    @ApiModelProperty(value = "校区（考点）")
    @ExcelDBFieldDesc(name = "校区（考点）")
    private String examPlace;

    @ApiModelProperty(value = "考试教室（考场）")
    @ExcelDBFieldDesc(name = "考试教室（考场）")
    private String examRoom;

    @ApiModelProperty(value = "考试日期")
    @ExcelDBFieldDesc(name = "考试日期")
    private String examDate;

    @ApiModelProperty(value = "考试时间")
    @ExcelDBFieldDesc(name = "考试时间")
    private String examTime;

    @ApiModelProperty(value = "试卷编号")
    @ExcelDBFieldDesc(name = "试卷编号")
    private String paperNumber;

    @ApiModelProperty(value = "学院")
    @ExcelDBFieldDesc(name = "学院")
    private String collegeName;

    @ApiModelProperty(value = "专业")
    @ExcelDBFieldDesc(name = "专业")
    private String majorName;

    @ApiModelProperty(value = "教学班")
    @ExcelDBFieldDesc(name = "教学班")
    private String teachClazzName;

    @ApiModelProperty(value = "行政班")
    @ExcelDBFieldDesc(name = "行政班")
    private String clazzName;

    @ApiModelProperty(value = "任课老师")
    @ExcelDBFieldDesc(name = "任课老师")
    private String teacherName;

    @ApiModelProperty(value = "课程创建的任务序号")
    private String sequence;

    @ApiModelProperty(value = "备选字段集合")
    private List<CodeNameEnableValue> requiredFieldList;
    @ApiModelProperty(value = "备选字段集合")
    private List<FieldsDto> secondaryFieldList;

    @ApiModelProperty(value = "考试开始时间")
    private String examStartTime;

    @ApiModelProperty(value = "考试结束时间")
    private String examEndTime;

    @ApiModelProperty(value = "学校id")
    private Long schoolId;

    @ApiModelProperty(value = "报错信息")
    private String errorMessage;

    @ApiModelProperty(value = "任课老师ID")
    private Long teacherId;

    private String coursePaperId;
    public ExaminationImportDto() {
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public String getTicketNumber() {
        return ticketNumber;
    }

    public void setTicketNumber(String ticketNumber) {
        this.ticketNumber = ticketNumber;
    }

    public String getSiteNumber() {
        return siteNumber;
    }

    public void setSiteNumber(String siteNumber) {
        this.siteNumber = siteNumber;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getExamPlace() {
        return examPlace;
    }

    public void setExamPlace(String examPlace) {
        this.examPlace = examPlace;
    }

    public String getExamRoom() {
        return examRoom;
    }

    public void setExamRoom(String examRoom) {
        this.examRoom = examRoom;
    }

    public String getExamDate() {
        return examDate;
    }

    public void setExamDate(String examDate) {
        this.examDate = examDate;
    }

    public String getExamTime() {
        return examTime;
    }

    public void setExamTime(String examTime) {
        this.examTime = examTime;
    }

    public String getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(String paperNumber) {
        this.paperNumber = paperNumber;
    }

    public String getSequence() {
        return sequence;
    }

    public void setSequence(String sequence) {
        this.sequence = sequence;
    }

    public List<CodeNameEnableValue> getRequiredFieldList() {
        return requiredFieldList;
    }

    public void setRequiredFieldList(List<CodeNameEnableValue> requiredFieldList) {
        this.requiredFieldList = requiredFieldList;
    }

    public List<FieldsDto> getSecondaryFieldList() {
        return secondaryFieldList;
    }

    public void setSecondaryFieldList(List<FieldsDto> secondaryFieldList) {
        this.secondaryFieldList = secondaryFieldList;
    }

    public String getExamStartTime() {
        return examStartTime;
    }

    public void setExamStartTime(String examStartTime) {
        this.examStartTime = examStartTime;
    }

    public String getExamEndTime() {
        return examEndTime;
    }

    public void setExamEndTime(String examEndTime) {
        this.examEndTime = examEndTime;
    }

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public String getCollegeName() {
        return collegeName;
    }

    public void setCollegeName(String collegeName) {
        this.collegeName = collegeName;
    }

    public String getMajorName() {
        return majorName;
    }

    public void setMajorName(String majorName) {
        this.majorName = majorName;
    }

    public String getClazzName() {
        return clazzName;
    }

    public void setClazzName(String clazzName) {
        this.clazzName = clazzName;
    }

    public String getTeachClazzName() {
        return teachClazzName;
    }

    public void setTeachClazzName(String teachClazzName) {
        this.teachClazzName = teachClazzName;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public Long getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Long teacherId) {
        this.teacherId = teacherId;
    }

    public String getErrorMessage() {
        return errorMessage;
    }

    public void setErrorMessage(String errorMessage) {
        this.errorMessage = errorMessage;
    }

    public String getCoursePaperId() {
        return coursePaperId;
    }

    public void setCoursePaperId(String coursePaperId) {
        this.coursePaperId = coursePaperId;
    }
}
